/*
  language.h - language header file
  Part of DiyouPCBFirm

Copyright (c) 2013 V.Ayllon.  All rights reserved.

DiyouPCBFirm is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
to anyone for the consequences of using it or for whether it serves any
particular purpose or works at all, unless he says so in writing.  Refer
to the GNU General Public License, Version 2 or later, for full details.

Everyone is granted permission to copy, modify and redistribute
DiyouPCBFirm, but only under the conditions described in the GNU General Public
License.  A copy of this license is supposed to have been
given to you along with DiyouPCB so you can know your rights and
responsibilities.  It should be in a file named COPYING.  Among other
things, the copyright notice and this notice must be preserved on all
copies.

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*/
#ifndef LANGUAGE_H
#define LANGUAGE_H

// NOTE: IF YOU CHANGE THIS FILE / MERGE THIS FILE WITH CHANGES
//

// Languages
// 1  English
// 2  Polish
// 3  French	(awaiting translation!)
// 4  German
// 5  Spanish
// 6  Russian
// 7  Italian
// 8  Portuguese
// 9  Finnish

#ifndef LANGUAGE_CHOICE
#define LANGUAGE_CHOICE 1  // Pick your language from the list above
#endif

#define PROTOCOL_VERSION "1.0"


#define MACHINE_NAME "DiyouPCB"
#define FIRMWARE_URL "http://www.diyouware.com"

#define STRINGIFY_(n) #n
#define STRINGIFY(n) STRINGIFY_(n)

#if LANGUAGE_CHOICE == 1

// Serial Console Messages

#define MSG_NAME "DiyouPCBFirm "
#define MSG_AUTHOR " | Author: "
#define MSG_CONFIGURATION_VER " Last Updated: "
#define MSG_FREE_MEMORY " Free Memory: "
#define MSG_PLANNER_BUFFER_BYTES "  PlannerBufferBytes: "
#define MSG_OK "ok"
#define MSG_ERROR "error"
#define MSG_STEPPER_TO_HIGH "Steprate to high: "
#define MSG_ENDSTOPS_HIT "endstops hit: "
#define MSG_ARC_TOOBIG "Arc or circle too big. AA Command ignored"
#define MSG_STATE_IDLE "<Idle "
#define MSG_STATE_ONLINE "<On-line "
#define MSG_STATE_HOLD "<Holding "
#define MSG_STATE_HELD "<Held "
#define MSG_STATE_UNKNOW "<Unknow "
#define MSG_FEED_RATE "Feed Rate: "
#define MSG_OVERFLOW "Serial buffer overflow. Increment MAX_CMD_SIZE"
#define MSG_FOCUSING "Focusing, wait a moment please..."
#define MSG_FOCUS_ERROR "Imposible to focus. Check distance from laser lens to glass."
#define MSG_FOCUSED "Focused at: "
#define MSG_BACKLASH "Backlash: "
#endif


#endif // ifndef LANGUAGE_H

